%global modname ndg_httpsclient

Name:           python-ndg-httpsclient
Version:        0.4.2
Release:        %mkrel 1
License:        BSD
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
URL:            https://github.com/cedadev/ndg_httpsclient/
Source:         https://github.com/cedadev/%{modname}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%{?python_provide:%python_provide python-ndg-httpsclient}

%global common_desc                                                           \
A HTTPS client implementation for                                             \
 * httplib (Python 2), http.client (Python 3) and                             \
 * urllib2 (Python 2) and urllib (Python 3)                                   \
...based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL           \
implementation over the default provided with Python and importantly enables  \
full verification of the SSL peer using pyasn1.

%description
%{common_desc}

%package -n ndg-httpsclient
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
Requires:       python3-ndg-httpsclient = %{version}-%{release}

%description -n ndg-httpsclient
%{common_desc}

This package contains the ndg_httpclient helper script.

%package -n python3-ndg-httpsclient
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-ndg-httpsclient}

%description -n python3-ndg-httpsclient
%{common_desc}

%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%defattr(-,root,root,-)
%{python2_sitelib}/*

%files -n python3-ndg-httpsclient
%defattr(-,root,root,-)
%{python3_sitelib}/*

%files -n ndg-httpsclient
%defattr(-,root,root,-)
%{_bindir}/ndg_httpclient


%changelog
* Wed May 24 2017 mitya <mitya> 0.4.2-1.mga6
+ Revision: 1104379
- imported package python-ndg-httpsclient

